/*
 * Copyright (C) 1992, Silicon Graphics, Inc.
 * All Rights Reserved.
 */
/*
 * rminfo.x --
 *
 *	This is the RPC language specification for sending and retrieving
 *	IRIX real memory usage information. It is converted into client,
 *	server and XDR routines using rpcgen(1).
 *
 *	Note: osview(1) displays this information under the "Real Memory"
 *	section.
 */

struct rminfo1 {
    long 	freemem;        /* current pages free memory */
    long	availsmem;      /* available real and swap memory */
    long	availrmem;      /* available real memory */
    long	bufmem;         /* attached to metadata cache */
    long	physmem;        /* total real memory */
    long	delwri;         /* delayed writes */
};	


/*
 * Note: the program number 391063 is temporarily borrowed from
 * the list of SGI reserved numbers in /etc/rpc.
 *
 * If this was for a real protocol, we would register it with rpc@sun.com
 * to get a real RPC number.
 */

program RMINFOPROG {
    version RMINFOVERS {
	rminfo1 RMINFOPROC_GET(void) = 1;
    } = 1;
} = 391063;
