/*
 * Copyright 1994, Silicon Graphics, Inc. 
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or 
 * duplicated in any form, in whole or in part, without the prior written 
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions 
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or 
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished - 
 * rights reserved under the Copyright Laws of the United States.
 */

/*
 *  hrq.h is the header file used to describe the contents of hrq.c,
 *  the source code for the function host_responds_quickly.  The
 *  function returns QUICK_RESPONSE if the named remote host responds
 *  within a brief timeout period, TARDY_RESPONSE if it does not
 *  respond quickly, and it returns an error status if it can't run
 *  correctly.
 *
 *  Author:  Aaron Schuman
 */

enum
{
	HRQERR_FIRST_IN_LIST = -99,
	HRQERR_GETHOSTBYNAME,
	HRQERR_UNKNOWNHOST,
	HRQERR_SETREUID,
	HRQERR_GETPROTOBYNAME,
	HRQERR_SOCKET,
	HRQERR_MALLOC,
	HRQERR_SETITIMER,
	HRQERR_LAST_IN_LIST,

	QUICK_RESPONSE = 0,
	TARDY_RESPONSE = 1
};


extern	int	host_responds_quickly( char * );
extern	char *	hrqerr( int );

