#!/bin/sh

#  Copyright 1994, Silicon Graphics, Inc. 
#  All Rights Reserved.

#  This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
#  the contents of this file may not be disclosed to third parties, copied or 
#  duplicated in any form, in whole or in part, without the prior written 
#  permission of Silicon Graphics, Inc.

#  RESTRICTED RIGHTS LEGEND:
#  Use, duplication or disclosure by the Government is subject to restrictions 
#  as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
#  and Computer Software clause at DFARS 252.227-7013, and/or in similar or 
#  successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished - 
#  rights reserved under the Copyright Laws of the United States.


#  hrq.sh is an example of a shell script that uses the program hrq.
#  hrq is like a short timeout version of ping.  It determines quickly
#  whether a host will respond to network communication.  In this
#  example, the script checks for each host named in the command line
#  whether the host will respond quickly before it attempts to run a
#  remote shell command on that host.

#  Author:  Aaron Schuman


HRQDIR=.

for host in $*;do
	if $HRQDIR/hrq $host > /dev/null; then
		rsh guest@$host uname -a
	else
		echo $host not responding
	fi
done

